Domysee Domysee - 21 days ago 12
C# Question

the type from assembly is built with an older version of blend sdk and is not supported in a windows presentation foundation 4 project

I created a WPF project in VS 2013. After upgrading to VS 2015, this error showed in the designer on types derived from the Blend SDK:


the type from assembly is built with an older version of blend sdk and
is not supported in a windows presentation foundation 4 project

Answer
  1. Run Command Prompt as Administrator

  2. Change Directory to Blend SDK: cd C:\Program Files (x86)\Microsoft SDKs\Expression\Blend\.NETFramework\v4.5\Libraries\

  3. Register DLL: gacutil -i System.Windows.Interactivity.dll

  4. Restart Visual Studio

Reference: https://connect.microsoft.com/VisualStudio/feedback/details/755407/xaml-designer-will-not-display-when-using-blend-sdk-behaviors